package com.me.brickbuster.layout;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.files.FileHandle;
import com.me.brickbuster.state.PlayState;

public class FileLevelLoader implements LevelLoader {

	private PlayState state;
	private int level = 1;

	public FileLevelLoader(PlayState state) {
		this.state = state;
	}

	@Override
	public Level getNextLevel() {
		FileHandle file = Gdx.files.internal("levels/level_" + level + ".json");
		if (file.exists()) {
			level++;
			return new Level(new FileLayout(state, file), null, null);
		}
		return null;
	}

}
